# Download Product File

Use this endpoint to download product files.

After successful submission, you will be redirected to an automatic file download.

Endpoint: GET /Download/Product/{release}/{productname}

## Query parameters:

  - `id` (any, required)
    The License Key issued by Melissa.
    Example: "{REPLACE-WITH-YOUR-LICENSE-KEY}"

## Path parameters:

  - `productname` (string, required)
    The name of the target product.
    Enum: "CanadianGeoData", "DataQualityComponents-SSIS", "DataQualitySuite", "FoneData", "Geocoder", "GeoData", "GlobalMatchUp", "mdCanada", "mdELOT", "MP4", "RightFielder", "ZipData"

  - `release` (string, required)
    Specific Release. This can be specified in several ways.
- YYYY.MM OR YYYY-MM  - (year, month)
- YYYY.QQ - (year, quarter)
- [metaReleaseName] - Release Name, for example: latest
    Example: "LATEST"

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.


